IllegalFormatConversionException (Java SE 22 & JDK 22)
Description: declaration: module: java.base, package: java.util, class: IllegalFormatConversionException
Keywords: java.util.IllegalFormatConversionException class

Module java.base
Package java.util

# Class IllegalFormatConversionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
java.util.IllegalFormatException
java.util.IllegalFormatConversionException

All Implemented Interfaces:
  `Serializable`

public non-sealed class IllegalFormatConversionException extends IllegalFormatException
Unchecked exception thrown when the argument corresponding to the format specifier is of an incompatible type.

Unless otherwise specified, passing a `null` argument to any method or constructor in this class will cause a `NullPointerException` to be thrown.

Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IllegalFormatConversionException(char c, Class<?> arg)`
  Constructs an instance of this class with the mismatched conversion and the corresponding argument class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<?>`
  `getArgumentClass()`
  Returns the class of the mismatched argument.
  `char`
  `getConversion()`
  Returns the inapplicable conversion.

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IllegalFormatConversionException

    public IllegalFormatConversionException(char c, Class<?> arg)
    Constructs an instance of this class with the mismatched conversion and the corresponding argument class.
    Parameters:
      `c` - Inapplicable conversion
      `arg` - Class of the mismatched argument

- ## Method Details

  - ### getConversion

    public char getConversion()
    Returns the inapplicable conversion.
    Returns:
      The inapplicable conversion

  - ### getArgumentClass

    public Class<?> getArgumentClass()
    Returns the class of the mismatched argument.
    Returns:
      The class of the mismatched argument